## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:     libirc
Version:  0.2.1
Release:  %{autorelease}
Summary:  IRC client library for C
License:  GPL-3.0-only
URL:      https://github.com/n0la/libirc
Source0:  https://github.com/n0la/libirc/archive/refs/tags/%{version}.tar.gz#/libirc-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: pkgconf
BuildRequires: gcc
BuildRequires: bison
BuildRequires: flex
BuildRequires: libcmocka-devel
BuildRequires: gnutls-devel

%description
%{summary}.

%package -n libirc-devel
Summary:   Development headers for the libirc library
Requires:  libirc = %{version}-%{release}

%description -n libirc-devel
Development headers for the libric library.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n libirc
%license COPYING
%doc README.md
%{_libdir}/libirc.so.0
%{_libdir}/libirc.so.%{version}

%files -n libirc-devel
%{_includedir}/irc
%{_datadir}/pkgconfig/libirc.pc
%{_libdir}/libirc.so

%changelog
* Sun Nov 19 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.2.1-1
- Upstream release 0.2.1

* Fri Nov 03 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.2.0-5
- Move unversioned .so to -devel package

* Wed Nov 01 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.2.0-4
- Add project name to source tarball

* Wed Nov 01 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.2.0-3
- Add patch to fix message params parsing

* Sun Oct 08 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.2.0-2
- Add patch for setting SONAME

* Sun Sep 24 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.2.0-1
- Upstream release 0.2.0

* Sun Sep 24 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.1-2
- Use %%{autorelease}

* Wed Apr 19 2023 Tomi Lähteenmäki <lihis@lihis.net> - 0.1-1
- Version 0.1
